package _06_综合练习;

import java.util.Scanner;

public class Test {
    /**
     *机票价格按照淡季旺季、头等舱和经济舱收费、输入机票原价、月份和头等舱或经济舱  0 头等仓 1经济舱 。
     *按照如下规则计算机票价格：旺季（5-10月）头等舱9折，经济舱8.5折，淡季（11月到来年4月）头等舱7折，经济舱6.5折。
     * @param args
     */
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        System.out.println("机票原价");
        double originPrice = scanner.nextDouble();
        System.out.println("购买月份");
        int month = scanner.nextInt();
        System.out.println("选择头等舱还是经济舱(0 头等舱  1 经济舱)");
        int headPlane = scanner.nextInt();
        if(month >=5 && month <=10){
            // 旺季
            originPrice = getOriginPrice(originPrice, headPlane, 0.9, 0.85);
        }else if((month >= 11 && month <=12) || (month >=1 && month<=4)){
            // 是否是头等舱
            originPrice = getOriginPrice(originPrice, headPlane, 0.7, 0.65);
        }else{
            System.out.println("输入月份不合法必须在 1 -12 月");
        }
        System.out.println("最终价格为:"+ originPrice);
    }

    private static double getOriginPrice(double originPrice, int headPlane, double v, double v2) {
        if (headPlane == 0) {
            originPrice *= v;
        } else if (headPlane == 1) {
            originPrice *= v2;
        } else {
            System.out.println("输入不合法 0表示头等舱 1表示经济舱");
        }
        return originPrice;
    }
}
